enhance: XEnhance_Config Struct Reference

| enhance Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XEnhance_Config Struct Reference
Enhance_v7_1

This typedef contains configuration information for a Video Enhance core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the core registers. More...
u32 | SlaveAxisVideoFormat
| Slave axis video format. More...
u32 | MasteAxisVideoFoemat
| Master axis video format. More...
u32 | SlaveAxiClkFreqHz
| Slave axi clock. More...
u16 | HasIntcIf
| Has Intc IF. More...
u16 | HasDebug
| Has Debug. More...
u32 | MaxColumns
| Maximum columns. More...
u32 | ActiveColumns
| Active columns. More...
u32 | ActiveRows
| Active Rows. More...
u16 | HasNoise
| Has noise. More...
u16 | HasEnhance
| Has enhance. More...
u16 | HasHalo
| Has halo suppression. More...
u16 | HasAlias
| Has Alias. More...
u32 | OptSize
| Optional size. More...
u16 | NoiseThreshold
| Noise Threshold. More...
u32 | EnhanceStrength
| Enhance strength. More...
u16 | HaloSuppress
| Halo suppression. More...

## Detailed Description

This typedef contains configuration information for a Video Enhance core.

Each Video Enhance core should have a configuration structure associated.

## Field Documentation

u32 XEnhance_Config::ActiveColumns

Active columns.

u32 XEnhance_Config::ActiveRows

Active Rows.

u32 XEnhance_Config::BaseAddress

BaseAddress is the physical base address of the core registers.

Referenced by XEnhance_CfgInitialize(), XEnhance_GetActiveSize(), XEnhance_GetDbgFrameCount(), XEnhance_GetDbgLineCount(), XEnhance_GetDbgPixelCount(), XEnhance_GetEdgeStrength(), XEnhance_GetHaloSuppress(), XEnhance_SetActiveSize(), and XEnhanceSelfTestExample().

u16 XEnhance_Config::DeviceId

DeviceId is the unique ID of the device.

u32 XEnhance_Config::EnhanceStrength

Enhance strength.

u16 XEnhance_Config::HaloSuppress

Halo suppression.

u16 XEnhance_Config::HasAlias

Has Alias.

u16 XEnhance_Config::HasDebug

Has Debug.

Referenced by XEnhance_EnableDbgTestPattern(), XEnhance_GetDbgFrameCount(), XEnhance_GetDbgLineCount(), XEnhance_GetDbgPixelCount(), and XEnhance_IsDbgTestPatternEnabled().

u16 XEnhance_Config::HasEnhance

Has enhance.

u16 XEnhance_Config::HasHalo

Has halo suppression.

u16 XEnhance_Config::HasIntcIf

Has Intc IF.

Referenced by XEnhance_IntrHandler().

u16 XEnhance_Config::HasNoise

Has noise.

u32 XEnhance_Config::MasteAxisVideoFoemat

Master axis video format.

u32 XEnhance_Config::MaxColumns

Maximum columns.

u16 XEnhance_Config::NoiseThreshold

Noise Threshold.

u32 XEnhance_Config::OptSize

Optional size.

u32 XEnhance_Config::SlaveAxiClkFreqHz

Slave axi clock.

u32 XEnhance_Config::SlaveAxisVideoFormat

Slave axis video format.